Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.singularsys.jep.functions
Class Subtract

    java.lang.Object
      com.singularsys.jep.functions.PostfixMathCommand
          com.singularsys.jep.functions.Subtract

All Implemented Interfaces:
  PostfixMathCommandI, RealBinaryFunction, java.io.Serializable

    public class Subtract

extends PostfixMathCommand
implements RealBinaryFunction

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.singularsys.jep.functions.PostfixMathCommand
`curNumberOfParameters, numberOfParameters`

Constructor Summary
`Subtract()`

Method Summary
`double` | `evaluate(double l, double r)`
`void` | `run(java.util.Stack<java.lang.Object> inStack)` Run the function on the stack.
`Complex` | `sub(Complex c1, Complex c2)`
`Complex` | `sub(Complex c, java.lang.Number d)`
`Complex` | `sub(java.lang.Number d, Complex c)`
`java.lang.Double` | `sub(java.lang.Number d1, java.lang.Number d2)`
`java.lang.Object` | `sub(java.lang.Object param1, java.lang.Object param2)`
`java.util.Vector` | `sub(java.util.Vector v1, java.util.Vector v2)`

Methods inherited from class com.singularsys.jep.functions.PostfixMathCommand
`checkNumberOfParameters, checkStack, getNumberOfParameters, setCurNumberOfParameters`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Subtract

    public Subtract()

Method Detail

### run

    public void run(java.util.Stack<java.lang.Object> inStack)
             throws EvaluationException

  Description copied from interface: `PostfixMathCommandI`
  Run the function on the stack. Pops the arguments from the stack, and pushes the result on the top of the stack.

  Specified by:
    `run` in interface `PostfixMathCommandI`
  Throws:
    `EvaluationException`

### sub

    public java.lang.Object sub(java.lang.Object param1,
                                java.lang.Object param2)
                         throws EvaluationException

  Throws:
    `EvaluationException`

### sub

    public java.util.Vector sub(java.util.Vector v1,
                                java.util.Vector v2)
                         throws EvaluationException

  Throws:
    `EvaluationException`

### sub

    public java.lang.Double sub(java.lang.Number d1,
                                java.lang.Number d2)

### sub

    public Complex sub(Complex c1,
                       Complex c2)

### sub

    public Complex sub(Complex c,
                       java.lang.Number d)

### sub

    public Complex sub(java.lang.Number d,
                       Complex c)

### evaluate

    public double evaluate(double l,
                           double r)

  Specified by:
    `evaluate` in interface `RealBinaryFunction`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Singular Systems http://www.singularsys.com/jep